Contributing Guidelines
=======================

First of all, **thank you** for contributing, **you are awesome**!

Before starting to contribute, you should read the following:

* [How to contribute?](#how-to-contribute)
* [Pull Request Guidelines](#pull-request-guidelines)
* [Code of Conduct](CODE_OF_CONDUCT.md)

---

## How to contribute?

### Report Bugs

Report bugs at https://github.com/TailorDev/monod/issues/new.

When reporting a bug, please include:

- Any details about your local setup that might be helpful in
  troubleshooting;
- Detailed steps to reproduce the bug. When possible, please
  write a test case.

### Fix Bugs

Check out the [open bugs](https://github.com/TailorDev/monod/issues) -
anything tagged with the **[easy pick]** label could be a good choice
for newcomers (and we are willing to help you).

### Implement Features

Look through the GitHub issues for features. Anything tagged with
**[enhancement]** is open to whoever wants to implement it.

### Submit Feedback

Any issue with the **[question]** label is open for feedback, so feel
free to share your thoughts with us!

The best way to send feedback is to [fill a new
issue](https://github.com/TailorDev/monod/issues/new) on GitHub.

If you are proposing a feature:

- Explain how you envision it working. Try to be as detailed as you
  can;
- Try to keep the scope as narrow as possible. This will help make it
  easier to implement;
- Feel free to include any code you might already have, even if it's
  just a rough idea. This is a volunteer-driven project, and
  contributions are welcome :)


## Pull Request Guidelines

Here are a few rules to follow in order to ease code reviews, and discussions before
maintainers accept and merge your work:

- you MUST run the test suite;
- you MUST write (or update) unit tests;
- you SHOULD write documentation.

Please, write [commit messages that make
sense](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html),
and [rebase your branch](http://git-scm.com/book/en/Git-Branching-Rebasing)
before submitting your Pull Request.

One may ask you to [squash your
commits](http://gitready.com/advanced/2009/02/10/squashing-commits-with-rebase.html)
too. This is used to "clean" your Pull Request before merging it (we don't want
commits such as `fix tests`, `fix 2`, `fix 3`, etc.).

Also, while creating your Pull Request on GitHub, you MUST write a description
which gives the context and/or explains why you are creating it.

Thank you!
